diff tests/test-vamp-test-plugin/test-vamp-test-plugin.sh @ 119:7a31201dc42d test-reorg

Split out tests into individual directories, with simpler naming therein
author Chris Cannam
date Wed, 08 Oct 2014 15:08:57 +0100
parents tests/test-vamp-test-plugin.sh@0fe5abb56a6e
children ffa60ff17a86
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/tests/test-vamp-test-plugin/test-vamp-test-plugin.sh	Wed Oct 08 15:08:57 2014 +0100
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+. ../include.sh
+
+infile=$audiopath/20sec-silence.wav
+tmpcsv=$mypath/tmp_1_$$.csv
+
+trap "rm -f $tmpcsv" 0
+
+for output in instants curve-oss curve-fsr curve-fsr-timed curve-vsr grid-oss grid-fsr notes-regions; do
+    
+    $r -d "$testplug:$output" -w csv --csv-one-file "$tmpcsv" --csv-force "$infile" 2>/dev/null || \
+	fail "Failed to run for plugin $testplug with output $output"
+
+    csvcompare_ignorefirst "$tmpcsv" "$mypath/expected/vamp-test-plugin-$output.csv" || \
+	fail "Output differs from expected for $output"
+
+done
+
+exit 0
+